Package wx :: Package lib :: Module dragscroller :: Class DragScroller

[frames | no frames]

## Class DragScroller

Scrolls a wx.ScrollWindow in the direction and speed of a mouse drag.

Call Start with the position of the drag start. Call Stop on the drag release.

Method Summary
| `__init__(self, scrollwin, rate, sensitivity)`
| `GetScrollWindow(self)`
| `GetSensitivity(self)`
| `GetUpdateRate(self)`
| `OnTimerDoScroll(self, event)`
| `SetScrollWindow(self, scrollwin)`
| `SetSensitivity(self, sensitivity)`
| `SetUpdateRate(self, rate)`
| ``Start`(self, pos)` Start a drag scroll operation
| ``Stop`(self)` Stops a drag scroll operation

Method Details

### Start(self, pos)

Start a drag scroll operation

### Stop(self)

Stops a drag scroll operation

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:46 2007 | http://epydoc.sf.net